Package twisted :: Package cred :: Module checkers :: Class InMemoryUsernamePasswordDatabaseDontUse |
[frames | no frames]

## Class InMemoryUsernamePasswordDatabaseDontUse

Method Summary
| `__init__(self, **users)`
| `_cbPasswordMatch(self, matched, username)`
| `addUser(self, username, password)`
| `requestAvatarId(self, credentials)`

Class Variable Summary
`class` | `__implements__` = `twisted.cred.checkers.ICredentialsChecker`
`tuple` | `credentialInterfaces` = `(<class twisted.cred.credentials....`

Class Variable Details

    ### credentialInterfaces Type: `tuple` Value:
        (<class twisted.cred.credentials.IUsernamePassword at 0x84539dc>,
         <class twisted.cred.credentials.IUsernameHashedPassword at 0x845396c>\
        )

Generated by Epydoc 2.0 on Sat Oct 25 00:54:47 2003 | http://epydoc.sf.net